export interface LicenseGroup {
  id: string;
  name: string;
  licenses: License[];
}

export interface License {
  name: string;
  id: string;
  start?: string;
  end?: string;
  key: string;
  amount?: number;
}

export type CreateLicenseDto = Omit<License, "id"> & { group_id: string };

export type CreateGroupDto = Omit<LicenseGroup, "id" | "licenses">;
